#
# spec file for package yasm (Version 1.0.1)
#
# based on the spec file from openSUSE:
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# norootforbuild


Name:           yasm
Version:        1.0.1
Release:        2.1
License:        BSD 3-Clause
Group:          Development/Languages/Other
Summary:        YASM is a complete rewrite of the NASM assembler
Url:            http://www.tortall.net/projects/yasm/
Source0:        %{name}-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python

%description
YASM is a complete rewrite of the NASM assembler. It is designed from
the ground up to allow for multiple syntaxes to be supported (e.g.,
NASM, TASM, GAS, etc.) in addition to multiple output object formats.
Another primary module of the overall design is an optimizer module.
Actually it supports ix86 and AMD64, next will be PowerPC



Authors:
--------
    Peter Johnson <peter@tortall.net>


%package devel
License:        BSD 3-Clause
Summary:        YASM development package
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       %{name} = %{version}

%description devel
This package includes everything needed to develop programs that use
libyasm.



Authors:
--------
    Peter Johnson <peter@tortall.net>

%prep
%setup -q

%build
export CFLAGS="%{optflags}" 
%{configure} --prefix=/usr --with-gnu-ld --enable-python
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%__make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS Artistic.txt BSD.txt COPYING GNU_GPL-2.0
%doc GNU_LGPL-2.0
%{_bindir}/*
%{_mandir}/man7/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/lib*.a

%changelog
* Sat Jul 11 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.1-1
- update to release 1.0.1
